<?php

declare(strict_types=1);

namespace Gls\GlsPoland\Soap\Engine;

use Gls\GlsPoland\Soap\Engine\Metadata\MetadataProviderInterface;

interface EngineInterface extends MetadataProviderInterface
{
    /**
     * @return mixed
     */
    public function request(string $method, array $arguments);
}
